Subject: bug#19468: 25.0.50; UI inconveniences with M-.

From: Helmut Eller <[email-masked]>
Date: Tue, 30 Dec 2014 18:25:03 +0100

On Tue, Dec 30 2014, Stefan Monnier wrote:

>> It's a tradeoff. Otherwise, you'd see two new buffers at once, possibly
>> covering both windows (if you have two). And it seems inconsistent with your
>> further complaint that movement visits files automatically (if it shouldn't,
>> it shouldn't start with displaying the buffer at point either).
>
> I thought the problem that Eli was pointing out is that he requested
> "display_line" and there is only one "display_line", so instead of
> showing 3 entries (each one including "display_line" as a substring) we
> should directly jump to the perfect match.

That's not an UI issue, that is a backend issue.  The etags backend
produces a high number of false positives.  That's not new and as in the
past it can be fixed with a more strict find-tag-tag-order.

Helmut